function love.load()
  --initial graphics and physics setup
  love.graphics.setMode(1280, 720, false, true, 8) --sets the window dimensions to 720p
  love.physics.setMeter(64)
  world = love.physics.newWorld(0, 0, 1280, 720, 500, 500, true )
  objects = {}
  objects.ice = {}
  objects.ice.body = love.physics.newBody(world, 0, 0, "dynamic")
  objects.ice.shape = love.physics.newRectangleShape(1280, 720)
  --objects.ice.fixture = love.physics.newFixture(objects.ice.body, objects.ice.shape)
  objects.rrock = {}
  objects.brock = {}
  for i = 1, 4 do
    objects.rrock[i] = {}
    objects.rrock[i].body = love.physics.newBody(world, 64, 310, "dynamic")
    objects.rrock[i].shape = love.physics.newCircleShape(32)
    objects.rrock[i].fixture = love.physics.newFixture(objects.rrock[i].body, objects.rrock[i].shape, 1)
    objects.rrock[i].fixture:setRestitution(0)
    objects.rrock[i].body:setMassData(0, 0, 0, 0)
    objects.rrock[i].body:setLinearDamping(0.5)
    objects.brock[i] = {}
    objects.brock[i].body = love.physics.newBody(world, 64, 310, "dynamic")
    objects.brock[i].shape = love.physics.newCircleShape(32)
    objects.brock[i].fixture = love.physics.newFixture(objects.brock[i].body, objects.brock[i].shape, 1)
    objects.brock[i].fixture:setRestitution(0)
    objects.brock[i].body:setMassData(0, 0, 0, 0)
    objects.brock[i].body:setLinearDamping(0.5)
  end
  rrock = love.graphics.newImage("rrock.png")
  brock = love.graphics.newImage("brock.png")
  ice = love.graphics.newImage("ice.png")
  power = love.graphics.newImage("power.png")
  mouse = love.mouse
  stonepower = 0
  love.graphics.setCaption ("Get Your Rocks Off | Ver: 0.314159265359")
  curl = 0 --going to make this a sine or cosine (depending on in or out turn) function
-- jointr = love.physics.newFrictionJoint( objects.ice.body, objects.rrock.body, 0, 0, 1280, 720, true )
-- jointb = love.physics.newFrictionJoint( objects.ice.body, objects.brock.body, 0, 0, 1280, 720, true )
-- forcer = jointr:setMaxForce(1)
-- forceb = jointb:setMaxForce(1)
  moving_rock = false
  reset_rocks()
  current_rock = objects.brock[1]
  turn = 1
  x = 0
  y = 0
end

function love.update(dt)
  world:update(dt) --updates every frame (important)

   if turn > 8 then
     reset_rocks ()
     turn = 1
   end
   if turn % 2 == 0 then
     current_rock = objects.rrock[turn/2]
   else
     current_rock = objects.brock[math.ceil(turn/2)]
   end
   
   if drag then
     current_rock.body:setPosition(64, love.mouse.getY()-64)
     stonepower = stonepower + (dt*1000)  -- increases the variable by 100 for every second the button is held down
   end



   x,y = current_rock.body:getLinearVelocity() -- define the velocity change for the x and y axis.
   if x < 1 then
     moving_rock = false
   end

   -- if x>1 then 
   --   objects.rrock = shot
   --   elseif  love.mousereleased() == true and objects.brock.body:getLinearVelocity() > 1 then
   --   objects.brock = shot
   -- end
   --
   -- if objects.rrock == shot then
   --   objects.brock = tobeshot
   --   else objects.rrock = tobeshot
   -- end


end
function reset_rocks( )
  for i = 1, 4 do 
    objects.brock[i].body:setPosition( i*64, -64)
    objects.rrock[i].body:setPosition( i*64, 720)
  end
end

function love.mousepressed(x,y,button)
  if moving_rock == false then 
    if button == "l" then
      if drag == false then
        MousePositionSaved = { x= love.mouse.getX(), y=love.mouse.getY() }
      end
      drag = true
    end
  end
end

function love.mousereleased()
  if drag then
    drag = false
    current_rock.body:setLinearVelocity(0, 0)
    current_rock.body:setAngularVelocity(0)
    current_rock.body:applyForce((stonepower*30), 0 )
    stonepower = 0
    moving_rock = true
    turn = turn + 1
  end 
end

function love.draw()
  love.graphics.draw(ice, 0, 0, 0)
  for i = 1, 4 do
    love.graphics.draw(brock, objects.brock[i].body:getX(), objects.brock[i].body:getY())
    love.graphics.draw(rrock, objects.rrock[i].body:getX(), objects.rrock[i].body:getY())
  end

  love.graphics.draw(power, 640, 360, stonepower/200, stonepower/2000) 
end
